Index: dports/editors/vim/files/checksums_patch
===================================================================
--- dports/editors/vim/files/checksums_patch	(revision 0)
+++ dports/editors/vim/files/checksums_patch	(revision 0)
@@ -0,0 +1,94 @@
+# $Id: patch_checksums,v 1.14 2006/06/23 19:44:38 mww Exp $
+checksums-append    7.0.001-100.gz sha1 cc3faa6722a70f1580438df7ddf498607e9e920f \
+                    7.0.101 sha1 9806340e653f0f1b19f939621af6ab43b3ca9ea6 \
+                    7.0.102 sha1 8392d637e13d113da8d8440048e267b38ff08efd \
+                    7.0.103 sha1 e4df2610bef7e1455346fb2215a4a401ce85423b \
+                    7.0.104 sha1 95fccd6512bdb2c4170817c36090da2b440fc155 \
+                    7.0.105 sha1 7b9fb4288aac726c360b097b52b01067fcafb8b6 \
+                    7.0.106 sha1 cd3517bfa82761aefb4b2abe34818af0b01696b3 \
+                    7.0.107 sha1 5a1b0039282d78c72245918c102b160d5281e938 \
+                    7.0.108 sha1 46617254cfcd7be0f8b2fa3b369f91848146929b \
+                    7.0.109 sha1 82e66182018c5d0ffb8d9a416605c67ea8ff5292 \
+                    7.0.110 sha1 07884f550eeb8dc1b43ab0cb1512d8d3f6bc9c0d \
+                    7.0.111 sha1 234dc9e78e7bbf37900c3c35bb7c23780f3d5041 \
+                    7.0.112 sha1 d339c207ba3bea77e3123da55615857db8c5cbb6 \
+                    7.0.113 sha1 cfa051d2c7e7100e0063601623c95b406a40ea47 \
+                    7.0.114 sha1 256241c55b9dc3a868318354a820f57e48b27405 \
+                    7.0.115 sha1 70df84ebe53ab0bc61b7441afdc01bffc1d198bb \
+                    7.0.116 sha1 6aa37822dc11aeea5a79c994a682eb60a6ad6aca \
+                    7.0.117 sha1 9a83554325ff0fb175ea11fc32b5a3c0532fb60b \
+                    7.0.118 sha1 116914d1f2dc551aacfd7b154e80558e675b2f69 \
+                    7.0.119 sha1 9a40b0aa259aff3d21aae6508ce634b1cf40eb8e \
+                    7.0.120 sha1 def6a85d137b976f9373f92092edbbf120a1af09 \
+                    7.0.121 sha1 8c0bbe3b99b1b1d98de7c3a317c88cff58c682c3 \
+                    7.0.122 sha1 c3a9ee3aef623cd227d2ca06accf84f8e08566b2 \
+                    7.0.123 sha1 6c50d0a3bad24f81136cbdc89b75412ae25e5f29 \
+                    7.0.124 sha1 f6a71753974514420d6d4be5e1b20500237382ff \
+                    7.0.125 sha1 952d8b36f031a33fcf3d3a2680f8797192b4b6a5 \
+                    7.0.126 sha1 7f18872a35b3ad78a633dd29a7dfe755095bfec1 \
+                    7.0.127 sha1 cbce25ad4e1e4f16e5f57ce2866db449ad3536ba \
+                    7.0.128 sha1 54dd22086b8acfa371687f791d54992fcd726956 \
+                    7.0.129 sha1 433e44cf31ffb0fdeccf1f8f86a9ea87c4f73f48 \
+                    7.0.130 sha1 0884508c1772c6baf4a9babcb09347b8487484ca \
+                    7.0.131 sha1 1550a72d351c197bca49cee9401777308c1181c9 \
+                    7.0.132 sha1 3b5f16b1a6ecd40a057fb084c25354d1045af564 \
+                    7.0.133 sha1 b5be19d1525c373542f9cb20c8dc0a9bb4ff3339 \
+                    7.0.134 sha1 146aa5e4e977c13d24caf6e86adb0bf94698170a \
+                    7.0.135 sha1 3709894b1d86d767dd48e21bd82803e896f70229 \
+                    7.0.136 sha1 2ee3c596252094a792d61604738f1e1bd5b07ba6 \
+                    7.0.137 sha1 85d3790c90bfec017a5a3ec162bfc393c8b51dde \
+                    7.0.138 sha1 d20d535c7f7bcdd8c31d9bb3a3722e75f4150464 \
+                    7.0.139 sha1 b024d4cc275a6c9e1788b19076ace89a646abd0d \
+                    7.0.140 sha1 3058e3bdbdfdae8d7cffe56779ed22888ea00c5e \
+                    7.0.141 sha1 b752e7b16e9c5f3bebc453b76b6ad7fab00d8674 \
+                    7.0.142 sha1 386498221d808f049b04364f6580cc3ace7a1011 \
+                    7.0.143 sha1 efbe219da06625a4c0cf7d7116354815a682293c \
+                    7.0.144 sha1 ee04cecf2aa9d1d4e1da88c8e779e3691aa3d585 \
+                    7.0.145 sha1 d49c316992e0b5a0672bde512122390f48292897 \
+                    7.0.146 sha1 b7d60bab4e58ddd32ea78a2cbaeb5d1f759d9a6b \
+                    7.0.147 sha1 1e0ca1c7b3b73b60d15b60fd5794021af17e098a \
+                    7.0.148 sha1 10a1debf3783f71599cb3fb67f7e970f5e51156e \
+                    7.0.149 sha1 ce9e421af682d3c32fd8e06419a9775147b867b7 \
+                    7.0.150 sha1 efefb7caf38b3103d0beb3d11d3701ee35a4b18d \
+                    7.0.151 sha1 9d1833a98f272f30728acd2f19cc81d580c69f15 \
+                    7.0.152 sha1 0fb0663a9664625ef855fb09777497750f10d2e9 \
+                    7.0.153 sha1 c8f691336333685131dbccc174aa46246dfa5a16 \
+                    7.0.154 sha1 f374993e09462d1041125a32aec8fc64865e7d9a \
+                    7.0.155 sha1 0a017263c25342dd8d3a4873fe6ac75f59c2a480 \
+                    7.0.156 sha1 c6f1170ecea0ba4ea6acf84ef8f2c1cac369e6f2 \
+                    7.0.157 sha1 416ece878daeff0ff7a416cbe88f05f7146362b3 \
+                    7.0.158 sha1 b91e6e34bf93f8951b58a5131a79f4ad6a575702 \
+                    7.0.159 sha1 591744b6f0f3a01fdb7bcfc3d36a59f43247b635 \
+                    7.0.160 sha1 8b0c06e6c6b47e9bb957e17ac6f3dc79aebc1f27 \
+                    7.0.161 sha1 0bd77f6f024b7daa55497578a5f685aae4e52250 \
+                    7.0.162 sha1 4ddbc457ca962dcf6364a8b77c208840ee9dfa71 \
+                    7.0.163 sha1 54fd03276f57621128605b7b8d567b7e885e1489 \
+                    7.0.164 sha1 d42fa007f0af73c5ec3a906db632eb1c49f87c32 \
+                    7.0.165 sha1 767714be826b82b1559d2c8d1524d1883210ff84 \
+                    7.0.166 sha1 cbe43dd3f783682ea31b444ce086a55e7977b3a4 \
+                    7.0.167 sha1 23daf20551ff0884c6aed92b29fb7b307efce807 \
+                    7.0.168 sha1 4f1020254690808917364fe9c2caea8dadde3758 \
+                    7.0.169 sha1 f8a733fd249c7533a449520367f400b092e26993 \
+                    7.0.170 sha1 6fee6f68cb4577868e3936b85fff69f14dbef320 \
+                    7.0.171 sha1 97ab6a95c33b84d310c21e3892781f41ff729ba6 \
+                    7.0.172 sha1 225f13563bd50ae8fd696a2ccbdc9ea1fbd869be \
+                    7.0.173 sha1 dcd635d15b9fe9dcf341c422f41168ce950d4562 \
+                    7.0.174 sha1 877ce2d80e6a527670590176f6da369874136341 \
+                    7.0.175 sha1 bee0a92731607d1b465eaf24249d93cef8d632bb \
+                    7.0.176 sha1 3dec8a957ddea0279659e307ee7154ad2119253b \
+                    7.0.177 sha1 5b50f691425b549204ddb240d1aedd2d7a57c364 \
+                    7.0.178 sha1 070039000b7887772b5e236631d3dddf9e3470dc \
+                    7.0.179 sha1 1af237de0ab52200fa5ebf50e698e367baae0e43 \
+                    7.0.180 sha1 b4868cd86788b8181e1be52177304d04ca69c997 \
+                    7.0.181 sha1 4631ae4f4d16c7826e613c474bbd43391696c680 \
+                    7.0.182 sha1 350e40ff82fede51a9e0f8f65997ed8ddd46f4d7 \
+                    7.0.183 sha1 dddeee970cb5d36e95806d6e404870a8bb709bce \
+                    7.0.184 sha1 080318cd11940efbe7ece7814149cff5ddfeea76 \
+                    7.0.185 sha1 9175100a1e373fe4bb9440d3c9d8241033a9f112 \
+                    7.0.186 sha1 7518d112beebe0ff84d14f5e093d1ae7ffc2cbbb \
+                    7.0.187 sha1 a99725a851948acc7ad6f4c4aa766f861114e9aa \
+                    7.0.188 sha1 5542c6d2501fbb1815211b86e2108591029fdfc5 \
+                    7.0.189 sha1 3fb4d18319a2fdd5bfc887c736f49c763e2c9190 \
+                    7.0.190 sha1 1f0c8192dba5fffc636ee98300622d57af4f290e \
+                    7.0.191 sha1 015c677581ca49be4a3ce3a83b359710b99f9058 \
+                    7.0.192 sha1 d2cff2aa0bd8d5068f2b209cae46760944738411
Index: dports/editors/vim/files/checksums_dist
===================================================================
--- dports/editors/vim/files/checksums_dist	(revision 0)
+++ dports/editors/vim/files/checksums_dist	(revision 0)
@@ -0,0 +1,7 @@
+# $Id: dist_checksums,v 1.5 2006/06/23 19:44:38 mww Exp $
+checksums-append    vim-7.0.tar.bz2 sha1 38ef48cabf942d0dc804a794dcc6f002b9457fc8 \
+                    vim-7.0-extra.tar.gz sha1 101a3b82b26cd16ca48e2b4a5e4acfc6041abd1e \
+                    vim-7.0-lang.tar.gz sha1 3db6b0004d213490cc00d361835e7a7c685adb52 \
+                    app-bm.tar.gz md5 418b9e615a34ae5aad918f5c5a694a44 \
+                    doc.tar.gz md5 692f7874fc617162d0fe110daf39a98a
+
Index: dports/editors/vim/Portfile
===================================================================
--- dports/editors/vim/Portfile	(revision 21796)
+++ dports/editors/vim/Portfile	(working copy)
@@ -1,45 +1,77 @@
 # $Id$
-PortSystem		1.0
+PortSystem          1.0
 
-name			vim
-set vim_version		7.0
-set vim_patchlevel	188
-version			${vim_version}.${vim_patchlevel}
-categories		editors
-maintainers		mij@macports.org
-description		Vi "workalike" with many additional features
-long_description	Vim is a virtually compatible, extremely \
-					enhanced version of the vi editor.
-homepage		http://www.vim.org/
-platforms		darwin freebsd
+name                vim
+set vim_version	    7.0
+set vim_patchlevel  192
+version             ${vim_version}.${vim_patchlevel}
+categories          editors
+maintainers         mij@macports.org
+description         Vi "workalike" with many additional features
+long_description    Vim is a virtually compatible, extremely \
+                        enhanced version of the vi editor.
+homepage            http://www.vim.org/
+platforms           darwin freebsd
 
-distfiles		${name}-${vim_version}.tar.bz2:vim \
-			${name}-${vim_version}-extra.tar.gz:extra \
-			${name}-${vim_version}-lang.tar.gz:extra
+distfiles           ${name}-${vim_version}.tar.bz2:vim \
+                    ${name}-${vim_version}-extra.tar.gz:extra \
+                    ${name}-${vim_version}-lang.tar.gz:extra
 
-use_bzip2		yes
+use_bzip2           yes
 
-master_sites    ftp://ftp.vim.org/pub/vim/unix/:vim \
-                ftp://ftp.us.vim.org/pub/vim/unix/:vim \
-                ftp://ftp2.us.vim.org/pub/vim/unix/:vim \
-                ftp://ftp3.us.vim.org/pub/vim/unix/pub/mirrors/ftp.vim.org/vim/:vim \
-                ftp://ftp.is.co.za/applications/editors/vim/unix/:vim \
-                ftp://ftp.prz.tu-berlin.de/pub/unix/editors/vim/unix/:vim \
-                ftp://ftp.mirror.ac.uk/sites/ftp.vim.org/pub/vim/unix/:vim \
-                ftp://ftp.vim.org/pub/vim/extra/:extra\
-                ftp://ftp.us.vim.org/pub/vim/extra/:extra \
-                ftp://ftp2.us.vim.org/pub/vim/extra/:extra \
-                ftp://ftp3.us.vim.org/pub/vim/extra/pub/mirrors/ftp.vim.org/vim/:extra \
-                ftp://ftp.is.co.za/applications/editors/vim/extra/:extra \
-                ftp://ftp.prz.tu-berlin.de/pub/unix/editors/vim/extra/:extra \
-                ftp://ftp.mirror.ac.uk/sites/ftp.vim.org/pub/vim/extra/:extra
+master_sites        ftp://ftp.vim.org/pub/vim/unix/:vim \
+                    http://ftp.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.us.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp2.us.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp9.us.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.ca.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.nl.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp2.nl.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp3.nl.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp3.de.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.uk.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.ie.vim.org/pub/vim/unix/:vim \
+                    ftp://miroir-francais.fr/pub/vim/unix/:vim \
+                    ftp://ftp.is.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.pl.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.ro.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.cz.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.sk.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.tw.vim.org/pub/Unix/Editors/Vim/unix/:vim \
+                    ftp://ftp2.tw.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.jp.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.kr.vim.org/pub/vim/unix/:vim \
+                    \
+                    ftp://ftp.vim.org/pub/vim/extra/:extra \
+                    http://ftp.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.us.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp2.us.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp9.us.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.ca.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.nl.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp2.nl.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp3.nl.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp3.de.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.uk.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.ie.vim.org/pub/vim/extra/:extra \
+                    ftp://miroir-francais.fr/pub/vim/extra/:extra \
+                    ftp://ftp.is.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.pl.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.ro.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.cz.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.sk.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.tw.vim.org/pub/Unix/Editors/Vim/extra/:extra \
+                    ftp://ftp2.tw.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.jp.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.kr.vim.org/pub/vim/extra/:extra
 
-patch_sites     [strsed [strsed ${master_sites} g/unix/patches\/${vim_version}/] g/:vim//]
+patch_sites         [strsed [strsed ${master_sites} \
+                        g/unix/patches\/${vim_version}/] g/:vim//]
 
-patchfiles      patch-if_ruby.c
+patchfiles          patch-if_ruby.c
 
-dist_subdir		vim
-distname		vim[strsed ${vim_version} {g/[.]//}]
+dist_subdir         vim
+distname            vim[strsed ${vim_version} {g/[.]//}]
 
 eval {
     set low 1
@@ -55,63 +87,74 @@
     }
 }
 
-configure.args		--enable-gui=no --without-x --disable-gpm \
-					--mandir=${prefix}/share/man
-
-extract.only	${name}-${vim_version}${extract.suffix}
+depends_lib         port:gettext
+configure.args      --enable-gui=no --without-x --disable-gpm \
+                        --mandir=${prefix}/share/man
+configure.env       CPPFLAGS="-I${prefix}/include" LDFLAGS="-L${prefix}/lib"
+extract.only        ${name}-${vim_version}${extract.suffix}
 post-extract {
-	system "gnutar xvfz ${distpath}/${name}-${vim_version}-extra.tar.gz -C ${workpath}"
-	system "gnutar xvfz ${distpath}/${name}-${vim_version}-lang.tar.gz -C ${workpath}"
+    system "gnutar xvfz ${distpath}/${name}-${vim_version}-extra.tar.gz -C ${workpath}"
+    system "gnutar xvfz ${distpath}/${name}-${vim_version}-lang.tar.gz -C ${workpath}"
 }
 
 variant aqua {
-	master_sites-append	http://www.douglas.stebila.ca/files/code/vim/app/:app_aqua \
-						http://www.douglas.stebila.ca/files/code/vim/doc/:doc_aqua
-	distfiles-append	app-bm.tar.gz:app_aqua \
-						doc.tar.gz:doc_aqua
-	configure.args-delete	--enable-gui=no
-	configure.args-append	--enable-gui=carbon
-	post-extract {
-		system "gnutar xvfz ${distpath}/app-bm.tar.gz -C ${workpath}"
-		system "gnutar xvfz ${distpath}/doc.tar.gz -C ${workpath}"
-	}
-	post-destroot {
-		set appPath /Applications/DarwinPorts
-		xinstall -d -m 755 ${destroot}${appPath}
-		system "gnutar xvfz ${filespath}/GVim_app.tar.gz \
-			-C ${destroot}${appPath}"
-		xinstall -m 644 ${workpath}/app.icns \
-			${destroot}${appPath}/GVim.app/Contents/Resources/appIcon.icns
-		xinstall -d -m 755 ${destroot}${appPath}/Vim
-		system "rm -f ${worksrcpath}/src/Vim.app/Contents/Resources/vim/runtime"
-		system "cp -R ${worksrcpath}/runtime \
-			${worksrcpath}/src/Vim.app/Contents/Resources/vim"
-		system "cp -R ${worksrcpath}/src/Vim.app \
-			${destroot}${appPath}/Vim/Vim.app"
-		xinstall -m 644 ${filespath}/gvimrc \
-			${destroot}${appPath}/Vim/Vim.app/
-		xinstall -m 644 ${filespath}/vimrc \
-			${destroot}${appPath}/Vim/Vim.app/
-		xinstall -m 644 ${workpath}/doc-txt.icns \
-			${destroot}${appPath}/Vim/Vim.app/Contents/Resources/
-		xinstall -m 644 ${workpath}/app.icns \
-			${destroot}${appPath}/Vim/Vim.app/Contents/Resources/gui_mac.icns
-		system "ln -s -f ${appPath}/Vim/Vim.app/Contents/MacOS/Vim \
-			${destroot}/${prefix}/bin/vim"
-		xinstall -m 755 ${filespath}/gvim.sh ${destroot}/${prefix}/bin/gvim
-	}
+    master_sites-append     http://www.douglas.stebila.ca/files/code/vim/app/:app_aqua \
+                                http://www.douglas.stebila.ca/files/code/vim/doc/:doc_aqua
+    distfiles-append        app-bm.tar.gz:app_aqua \
+                                doc.tar.gz:doc_aqua
+    configure.args-delete   --enable-gui=no
+    configure.args-append   --enable-gui=carbon
+    post-extract {
+        system "gnutar xvfz ${distpath}/app-bm.tar.gz -C ${workpath}"
+        system "gnutar xvfz ${distpath}/doc.tar.gz -C ${workpath}"
+    }
+    post-destroot {
+        set appPath /Applications/DarwinPorts
+        xinstall -d -m 755 ${destroot}${appPath}
+        system "gnutar xvfz ${filespath}/GVim_app.tar.gz \
+            -C ${destroot}${appPath}"
+        xinstall -m 644 ${workpath}/app.icns \
+            ${destroot}${appPath}/GVim.app/Contents/Resources/appIcon.icns
+        xinstall -d -m 755 ${destroot}${appPath}/Vim
+        system "rm -f ${worksrcpath}/src/Vim.app/Contents/Resources/vim/runtime"
+        system "cp -R ${worksrcpath}/runtime \
+            ${worksrcpath}/src/Vim.app/Contents/Resources/vim"
+        system "cp -R ${worksrcpath}/src/Vim.app \
+            ${destroot}${appPath}/Vim/Vim.app"
+        xinstall -m 644 ${filespath}/gvimrc \
+            ${destroot}${appPath}/Vim/Vim.app/
+        xinstall -m 644 ${filespath}/vimrc \
+            ${destroot}${appPath}/Vim/Vim.app/
+        xinstall -m 644 ${workpath}/doc-txt.icns \
+            ${destroot}${appPath}/Vim/Vim.app/Contents/Resources/
+        xinstall -m 644 ${workpath}/app.icns \
+            ${destroot}${appPath}/Vim/Vim.app/Contents/Resources/gui_mac.icns
+        system "ln -s -f ${appPath}/Vim/Vim.app/Contents/MacOS/Vim \
+            ${destroot}/${prefix}/bin/vim"
+        xinstall -m 755 ${filespath}/gvim.sh ${destroot}/${prefix}/bin/gvim
+    }
 }
 
+variant athena {
+    configure.args-delete   --enable-gui=no --without-x
+    configure.args-append   --enable-gui=athena --with-x --disable-darwin
+    depends_lib-append      lib:libX11:XFree86
+}
 variant gtk1 {
-	configure.args-delete	--enable-gui=no --without-x
-	configure.args-append	--enable-gui=gtk --with-x --disable-darwin
-	depends_lib-append		lib:libgtk.1:gtk1
+    configure.args-delete   --enable-gui=no --without-x
+    configure.args-append   --enable-gui=gtk --with-x --disable-darwin
+    depends_lib-append      lib:libgtk.1:gtk1
 }
 variant gtk2 {
-	configure.args-delete	--enable-gui=no --without-x
-	configure.args-append	--enable-gui=gtk2 --with-x --disable-darwin
-	depends_lib-append		lib:libgtk.2:gtk2
+    configure.args-delete   --enable-gui=no --without-x
+    configure.args-append   --enable-gui=gtk2 --with-x --disable-darwin
+    depends_lib-append      lib:libgtk.2:gtk2
 }
+variant motif {
+    configure.args-delete   --enable-gui=no --without-x
+    configure.args-append   --enable-gui=motif --with-x --disable-darwin
+    depends_lib-append      lib:libXm:openmotif
+}
 #variant gnome {
 #	configure.args-delete	--enable-gui=no --without-x
 #	configure.args-append	--enable-gui=gnome --with-x --disable-darwin
@@ -122,44 +165,35 @@
 #	configure.args-append	--enable-gui=gnome2 --with-x --disable-darwin
 # What for depends?
 #}
-variant motif {
-	configure.args-delete	--enable-gui=no --without-x
-	configure.args-append	--enable-gui=motif --with-x --disable-darwin
-	depends_lib-append		lib:libXm:openmotif
+
+variant tiny        { configure.args-append --with-features=tiny }
+variant small       { configure.args-append --with-features=small }
+variant big         { configure.args-append --with-features=big }
+variant huge        { configure.args-append --with-features=huge }
+variant multibyte   { configure.args-append --enable-multibyte }
+variant ncurses     { configure.args-append --with-tlib=ncurses }
+variant xim         { configure.args-append --with-xim }
+
+variant perl {
+    configure.args-append   --enable-perlinterp
+    depends_lib-append      bin:perl:perl5.8
 }
-variant athena {
-	configure.args-delete	--enable-gui=no --without-x
-	configure.args-append	--enable-gui=athena --with-x --disable-darwin
-	depends_lib-append		lib:libX11:XFree86
+variant python {
+    configure.args-append   --enable-pythoninterp
+    depends_lib-append      bin:python:python23
 }
-variant xim			{ configure.args-append --with-xim }
-variant tiny		{ configure.args-append	--with-features=tiny }
-variant small		{ configure.args-append	--with-features=small }
-variant big			{ configure.args-append	--with-features=big }
-variant huge		{ configure.args-append	--with-features=huge }
-variant multibyte	{ configure.args-append	--enable-multibyte }
-variant ncurses		{ configure.args-append --with-tlib=ncurses }
-
 variant ruby {
 	configure.args-append	--enable-rubyinterp
 	depends_lib-append		bin:ruby:ruby
 }
 variant tcl {
-	configure.args-append	--enable-tclinterp
-	depends_lib-append		bin:tclsh:tcl
+    configure.args-append   --enable-tclinterp
+    depends_lib-append      bin:tclsh:tcl
 }
-variant perl {
-	configure.args-append	--enable-perlinterp
-	depends_lib-append		bin:perl:perl5.8
-}
-variant python {
-	configure.args-append	--enable-pythoninterp
-	depends_lib-append		bin:python:python23
-}
 
 variant darwin x86 {
-	configure.args-append	--disable-darwin
+    configure.args-append   --disable-darwin
 }
 
-include dist_checksums
-include patch_checksums
+include files/checksums_dist
+include files/checksums_patch
Index: dports/editors/vim/patch_checksums
===================================================================
--- dports/editors/vim/patch_checksums	(revision 21796)
+++ dports/editors/vim/patch_checksums	(working copy)
@@ -1,90 +0,0 @@
-# $Id: patch_checksums,v 1.14 2006/06/23 19:44:38 mww Exp $
-checksums-append    7.0.001-100.gz sha1 cc3faa6722a70f1580438df7ddf498607e9e920f \
-                    7.0.101 sha1 9806340e653f0f1b19f939621af6ab43b3ca9ea6 \
-                    7.0.102 sha1 8392d637e13d113da8d8440048e267b38ff08efd \
-                    7.0.103 sha1 e4df2610bef7e1455346fb2215a4a401ce85423b \
-                    7.0.104 sha1 95fccd6512bdb2c4170817c36090da2b440fc155 \
-                    7.0.105 sha1 7b9fb4288aac726c360b097b52b01067fcafb8b6 \
-                    7.0.106 sha1 cd3517bfa82761aefb4b2abe34818af0b01696b3 \
-                    7.0.107 sha1 5a1b0039282d78c72245918c102b160d5281e938 \
-                    7.0.108 sha1 46617254cfcd7be0f8b2fa3b369f91848146929b \
-                    7.0.109 sha1 82e66182018c5d0ffb8d9a416605c67ea8ff5292 \
-                    7.0.110 sha1 07884f550eeb8dc1b43ab0cb1512d8d3f6bc9c0d \
-                    7.0.111 sha1 234dc9e78e7bbf37900c3c35bb7c23780f3d5041 \
-                    7.0.112 sha1 d339c207ba3bea77e3123da55615857db8c5cbb6 \
-                    7.0.113 sha1 cfa051d2c7e7100e0063601623c95b406a40ea47 \
-                    7.0.114 sha1 256241c55b9dc3a868318354a820f57e48b27405 \
-                    7.0.115 sha1 70df84ebe53ab0bc61b7441afdc01bffc1d198bb \
-                    7.0.116 sha1 6aa37822dc11aeea5a79c994a682eb60a6ad6aca \
-                    7.0.117 sha1 9a83554325ff0fb175ea11fc32b5a3c0532fb60b \
-                    7.0.118 sha1 116914d1f2dc551aacfd7b154e80558e675b2f69 \
-                    7.0.119 sha1 9a40b0aa259aff3d21aae6508ce634b1cf40eb8e \
-                    7.0.120 sha1 def6a85d137b976f9373f92092edbbf120a1af09 \
-                    7.0.121 sha1 8c0bbe3b99b1b1d98de7c3a317c88cff58c682c3 \
-                    7.0.122 sha1 c3a9ee3aef623cd227d2ca06accf84f8e08566b2 \
-                    7.0.123 sha1 6c50d0a3bad24f81136cbdc89b75412ae25e5f29 \
-                    7.0.124 sha1 f6a71753974514420d6d4be5e1b20500237382ff \
-                    7.0.125 sha1 952d8b36f031a33fcf3d3a2680f8797192b4b6a5 \
-                    7.0.126 sha1 7f18872a35b3ad78a633dd29a7dfe755095bfec1 \
-                    7.0.127 sha1 cbce25ad4e1e4f16e5f57ce2866db449ad3536ba \
-                    7.0.128 sha1 54dd22086b8acfa371687f791d54992fcd726956 \
-                    7.0.129 sha1 433e44cf31ffb0fdeccf1f8f86a9ea87c4f73f48 \
-                    7.0.130 sha1 0884508c1772c6baf4a9babcb09347b8487484ca \
-                    7.0.131 sha1 1550a72d351c197bca49cee9401777308c1181c9 \
-                    7.0.132 sha1 3b5f16b1a6ecd40a057fb084c25354d1045af564 \
-                    7.0.133 sha1 b5be19d1525c373542f9cb20c8dc0a9bb4ff3339 \
-                    7.0.134 sha1 146aa5e4e977c13d24caf6e86adb0bf94698170a \
-                    7.0.135 sha1 3709894b1d86d767dd48e21bd82803e896f70229 \
-                    7.0.136 sha1 2ee3c596252094a792d61604738f1e1bd5b07ba6 \
-                    7.0.137 sha1 85d3790c90bfec017a5a3ec162bfc393c8b51dde \
-                    7.0.138 sha1 d20d535c7f7bcdd8c31d9bb3a3722e75f4150464 \
-                    7.0.139 sha1 b024d4cc275a6c9e1788b19076ace89a646abd0d \
-                    7.0.140 sha1 3058e3bdbdfdae8d7cffe56779ed22888ea00c5e \
-                    7.0.141 sha1 b752e7b16e9c5f3bebc453b76b6ad7fab00d8674 \
-                    7.0.142 sha1 386498221d808f049b04364f6580cc3ace7a1011 \
-                    7.0.143 sha1 efbe219da06625a4c0cf7d7116354815a682293c \
-                    7.0.144 sha1 ee04cecf2aa9d1d4e1da88c8e779e3691aa3d585 \
-                    7.0.145 sha1 d49c316992e0b5a0672bde512122390f48292897 \
-                    7.0.146 sha1 b7d60bab4e58ddd32ea78a2cbaeb5d1f759d9a6b \
-                    7.0.147 sha1 1e0ca1c7b3b73b60d15b60fd5794021af17e098a \
-                    7.0.148 sha1 10a1debf3783f71599cb3fb67f7e970f5e51156e \
-                    7.0.149 sha1 ce9e421af682d3c32fd8e06419a9775147b867b7 \
-                    7.0.150 sha1 efefb7caf38b3103d0beb3d11d3701ee35a4b18d \
-                    7.0.151 sha1 9d1833a98f272f30728acd2f19cc81d580c69f15 \
-                    7.0.152 sha1 0fb0663a9664625ef855fb09777497750f10d2e9 \
-                    7.0.153 sha1 c8f691336333685131dbccc174aa46246dfa5a16 \
-                    7.0.154 sha1 f374993e09462d1041125a32aec8fc64865e7d9a \
-                    7.0.155 sha1 0a017263c25342dd8d3a4873fe6ac75f59c2a480 \
-                    7.0.156 sha1 c6f1170ecea0ba4ea6acf84ef8f2c1cac369e6f2 \
-                    7.0.157 sha1 416ece878daeff0ff7a416cbe88f05f7146362b3 \
-                    7.0.158 sha1 b91e6e34bf93f8951b58a5131a79f4ad6a575702 \
-                    7.0.159 sha1 591744b6f0f3a01fdb7bcfc3d36a59f43247b635 \
-                    7.0.160 sha1 8b0c06e6c6b47e9bb957e17ac6f3dc79aebc1f27 \
-                    7.0.161 sha1 0bd77f6f024b7daa55497578a5f685aae4e52250 \
-                    7.0.162 sha1 4ddbc457ca962dcf6364a8b77c208840ee9dfa71 \
-                    7.0.163 sha1 54fd03276f57621128605b7b8d567b7e885e1489 \
-                    7.0.164 sha1 d42fa007f0af73c5ec3a906db632eb1c49f87c32 \
-                    7.0.165 sha1 767714be826b82b1559d2c8d1524d1883210ff84 \
-                    7.0.166 sha1 cbe43dd3f783682ea31b444ce086a55e7977b3a4 \
-                    7.0.167 sha1 23daf20551ff0884c6aed92b29fb7b307efce807 \
-                    7.0.168 sha1 4f1020254690808917364fe9c2caea8dadde3758 \
-                    7.0.169 sha1 f8a733fd249c7533a449520367f400b092e26993 \
-                    7.0.170 sha1 6fee6f68cb4577868e3936b85fff69f14dbef320 \
-                    7.0.171 sha1 97ab6a95c33b84d310c21e3892781f41ff729ba6 \
-                    7.0.172 sha1 225f13563bd50ae8fd696a2ccbdc9ea1fbd869be \
-                    7.0.173 sha1 dcd635d15b9fe9dcf341c422f41168ce950d4562 \
-                    7.0.174 sha1 877ce2d80e6a527670590176f6da369874136341 \
-                    7.0.175 sha1 bee0a92731607d1b465eaf24249d93cef8d632bb \
-                    7.0.176 sha1 3dec8a957ddea0279659e307ee7154ad2119253b \
-                    7.0.177 sha1 5b50f691425b549204ddb240d1aedd2d7a57c364 \
-                    7.0.178 sha1 070039000b7887772b5e236631d3dddf9e3470dc \
-                    7.0.179 sha1 1af237de0ab52200fa5ebf50e698e367baae0e43 \
-                    7.0.180 sha1 b4868cd86788b8181e1be52177304d04ca69c997 \
-                    7.0.181 sha1 4631ae4f4d16c7826e613c474bbd43391696c680 \
-                    7.0.182 sha1 350e40ff82fede51a9e0f8f65997ed8ddd46f4d7 \
-                    7.0.183 sha1 dddeee970cb5d36e95806d6e404870a8bb709bce \
-                    7.0.184 sha1 080318cd11940efbe7ece7814149cff5ddfeea76 \
-                    7.0.185 sha1 9175100a1e373fe4bb9440d3c9d8241033a9f112 \
-                    7.0.186 sha1 7518d112beebe0ff84d14f5e093d1ae7ffc2cbbb \
-                    7.0.187 sha1 a99725a851948acc7ad6f4c4aa766f861114e9aa \
-                    7.0.188 sha1 5542c6d2501fbb1815211b86e2108591029fdfc5
Index: dports/editors/vim/dist_checksums
===================================================================
--- dports/editors/vim/dist_checksums	(revision 21796)
+++ dports/editors/vim/dist_checksums	(working copy)
@@ -1,7 +0,0 @@
-# $Id: dist_checksums,v 1.5 2006/06/23 19:44:38 mww Exp $
-checksums-append    vim-7.0.tar.bz2 sha1 38ef48cabf942d0dc804a794dcc6f002b9457fc8 \
-                    vim-7.0-extra.tar.gz sha1 101a3b82b26cd16ca48e2b4a5e4acfc6041abd1e \
-                    vim-7.0-lang.tar.gz sha1 3db6b0004d213490cc00d361835e7a7c685adb52 \
-                    app-bm.tar.gz md5 418b9e615a34ae5aad918f5c5a694a44 \
-                    doc.tar.gz md5 692f7874fc617162d0fe110daf39a98a
-
